%define sversion 2_53
Name: bootcd
Version: 2.53
Release: alt0

Summary: Build liveCD (Debian)
Group: Development/Other
License: GPL

Url: http://alioth.debian.org

Source: %{name}_%version.tar.gz
Patch: %name-%sversion-Makefile.patch

%description
 Build an image of your running Linux System with the command bootcdwrite.
 You can also build a bootcd ISO image via NFS on a remote System.
 When you run your system from CD you do not need any disks. All 
 changes will be done in ram. To reuse this changes at next boot time 
 you can save them on FLOPPY with the command bootcdflopcp. If booting
 from your CD-drive is not supported, booting from FLOPPY is possible. 
 It is possible to install a new system from the running CD with the 
 command bootcd2disk. Bootcd2disk can also find a target disk, format 
 it and make it bootable automatically. Bootcd also supports lilo, 
 grub, initrd root fs, devfs, transparent-compression ISO 9660 fs and 
 syslinux/isolinux.

%prep
%setup -n %name-%sversion
%patch -p1

%build
%install
install -d %buildroot%_sbindir
install -d %buildroot%_bindir
install -d %buildroot%_sysconfdir/%name
install -d %buildroot%_datadir/%name
install -d %buildroot/%_man1dir
install -d %buildroot/%_man5dir
%make_install DESTDIR=%buildroot install
install -m644 *.1  %buildroot%_man1dir/
install -m644 *.5  %buildroot%_man5dir/

%post
%preun
%files
%doc ChangeLog FAQ default.txt debian/README.debian debian/changelog debian/copyright

%_bindir/*

%_sbindir/*

%_datadir/%name/%name-run.lib
%_datadir/%name/%name-check.lib
%_datadir/%name/%{name}2disk.conf
%_datadir/%name/default.txt
%_datadir/%name/%name-ia64.lib
%_datadir/%name/%{name}2disk
%_datadir/%name/%{name}flopcp
%_datadir/%name/%{name}test.sh
%_datadir/%name/S13%{name}flop.sh
%_datadir/%name/S12%{name}ram.sh
%_datadir/%name/%{name}2disk.lib
%_datadir/%name/%name-hppa.lib
%_datadir/%name/%name-i386.lib
%_datadir/%name/%{name}modprobe
%_datadir/%name/%{name}proberoot

%_sysconfdir/%name/%{name}write.conf
%_sysconfdir/%name/isolinux.cfg
%_sysconfdir/%name/syslinux.cfg

%_mandir/man?/*

%changelog
* Sun Dec 31 2006 Hihin Ruslan <ruslandh@altlinux.ru> 2.53-alt0
- probe version
